#/bin/sh

KEY_FILE="/cert/device/key.pem"
CERT_FILE="/cert/device/device_cert.pem"
KEY_ID="0xF0000110"
CERT_ID="0xF0000111"
EXIT_RESTART=255

if [ -e "/root/gw_container/customize/main.py" ]; then
  CMD="python3 /root/gw_container/customize/main.py -d"
else
  CMD="python3 -m atgateway -d"
fi

getkey() {
  if [ ! -d '/sys/devices/platform/se050-enable' ] && [ "$AT_PRODUCT_NAME" == *A6E* ]; then
    gpioset gpiochip3 18=1
    export SE050_NO_PM=true
  fi

  mkdir -p /cert/device

  if [ ! -e $KEY_FILE ]; then
    se05x_getkey $KEY_ID $KEY_FILE $EX_SSS_BOOT_SSS_PORT
  fi

  if [ ! -e $CERT_FILE ]; then
    se05x_getkey $CERT_ID $CERT_FILE $EX_SSS_BOOT_SSS_PORT
  fi
}

main() {
  getkey

  while true
  do
    $CMD
    # if the exit code is EXIT_RESTART, restart the app
    if [ $? -ne $EXIT_RESTART ]; then
      break
    fi
  done
}

main
